Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.wrappers
Class TriggerFacade

    java.lang.Object
      org.terracotta.quartz.wrappers.TriggerFacade

    public class TriggerFacade

extends Object

Constructor Summary
`TriggerFacade(ToolkitDSHolder toolkitDSHolder)`

Method Summary
`boolean` | `addGroup(String name)`
`boolean` | `addPausedGroup(String name)`
`Collection<FiredTrigger>` | `allFiredTriggers()`
`Set<String>` | `allPausedTriggersGroupNames()`
`Set<TriggerKey>` | `allTriggerKeys()`
`Set<String>` | `allTriggersGroupNames()`
`boolean` | `containsFiredTrigger(String key)`
`boolean` | `containsKey(TriggerKey key)`
`TriggerWrapper` | `get(TriggerKey key)`
`FiredTrigger` | `getFiredTrigger(String key)`
`List<TriggerWrapper>` | `getTriggerWrappersForCalendar(String calName)`
`List<TriggerWrapper>` | `getTriggerWrappersForJob(JobKey key)`
`boolean` | `hasGroup(String name)`
`int` | `numberOfTriggers()`
`boolean` | `pausedGroupsContain(String name)`
`void` | `put(TriggerKey key, TriggerWrapper value)`
`void` | `putFiredTrigger(String key, FiredTrigger value)`
`TriggerWrapper` | `remove(TriggerKey key)`
`void` | `removeAllPausedGroups(Collection<String> groups)`
`FiredTrigger` | `removeFiredTrigger(String key)`
`boolean` | `removeGroup(String name)`
`boolean` | `removePausedGroup(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerFacade

    public TriggerFacade(ToolkitDSHolder toolkitDSHolder)

Method Detail

### get

    public TriggerWrapper get(TriggerKey key)

### containsKey

    public boolean containsKey(TriggerKey key)

### put

    public void put(TriggerKey key,
                    TriggerWrapper value)

### remove

    public TriggerWrapper remove(TriggerKey key)

### getFiredTrigger

    public FiredTrigger getFiredTrigger(String key)

### containsFiredTrigger

    public boolean containsFiredTrigger(String key)

### putFiredTrigger

    public void putFiredTrigger(String key,
                                FiredTrigger value)

### removeFiredTrigger

    public FiredTrigger removeFiredTrigger(String key)

### addGroup

    public boolean addGroup(String name)

### hasGroup

    public boolean hasGroup(String name)

### removeGroup

    public boolean removeGroup(String name)

### addPausedGroup

    public boolean addPausedGroup(String name)

### pausedGroupsContain

    public boolean pausedGroupsContain(String name)

### removePausedGroup

    public boolean removePausedGroup(String name)

### allTriggersGroupNames

    public Set<String> allTriggersGroupNames()

### allPausedTriggersGroupNames

    public Set<String> allPausedTriggersGroupNames()

### allTriggerKeys

    public Set<TriggerKey> allTriggerKeys()

### allFiredTriggers

    public Collection<FiredTrigger> allFiredTriggers()

### numberOfTriggers

    public int numberOfTriggers()

### getTriggerWrappersForJob

    public List<TriggerWrapper> getTriggerWrappersForJob(JobKey key)

### getTriggerWrappersForCalendar

    public List<TriggerWrapper> getTriggerWrappersForCalendar(String calName)

### removeAllPausedGroups

    public void removeAllPausedGroups(Collection<String> groups)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.